Bug 32582 - Up2date dies if you select packages on exclusion list
Up2date dies if you select packages on exclusion list
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-21 18:58 EST by Juha Saarinen
Modified: 2015-01-07 18:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-22 15:33:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juha Saarinen 2001-03-21 18:58:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


Up2date dies with "fatal rpm error" (or a similar message) when you pick 
packages on the exclusion list. 



Reproducible: Always
Steps to Reproduce:
1. Run up2date, pick packages on exclusion list (e.g. kernel*)
2.
3.
	

Actual Results:  You are allowed to pick the excluded packages, and go 
onto a clickfest of selecting available updated packages.

Expected Results:  One of the following:

1. You can't select excluded packages.
2. You can select excluded packages, but are given the option to override 
the exclusion.
3. In either case, up2date shouldn't just conk out and die because if it 
does, I'll get RSI from having to re-click to re-select the myriad of 
updated packages. ;-)

up2date-2.4.4-1
up2date-gnome-2.4.4-1
Comment 1 Juha Saarinen 2001-03-21 19:28:22 EST
This might be relevant:

[root@vimfuego /]# up2date -v -u

Retrieving list of all available packages...

Removing installed packages from list of updates...
########################################

Removing packages marked to skip from list...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Getting headers for skipped packages...
########################################
The following Packages were marked to be skipped by your configuration:

Name                                    Version        Rel  Reason
-------------------------------------------------------------------------------
kernel-doc                              2.4.2          0.1.28Pkg name/pattern
<Fault -1: "\012While running 'errata.GetByPackage': 
caught\012apacheServer.UnknownXML : Invalid request received (class xmlrpcServer
(errata) is not defined).\012">
No advisory information available
kernel-headers                          2.4.2          0.1.28Pkg name/pattern
<Fault -1: "\012While running 'errata.GetByPackage': 
caught\012apacheServer.UnknownXML : Invalid request received (class xmlrpcServer
(errata) is not defined).\012">
No advisory information available
kernel-source                           2.4.2          0.1.28Pkg name/pattern
<Fault -1: "\012While running 'errata.GetByPackage': 
caught\012apacheServer.UnknownXML : Invalid request received (class xmlrpcServer
(errata) is not defined).\012">
No advisory information available


Testing package set / solving RPM inter-dependencies...
There was a fatal RPM error.  The message was:

The following package were found in excludes lists.

Package                         Reason
===============================================
kernel-2.4.2-0.1.28             Pkg name/pattern
kernel-2.4.2-0.1.28             Pkg name/pattern
kernel-2.4.2-0.1.28             Pkg name/pattern
kernel-2.4.2-0.1.28             Pkg name/pattern
kernel-2.4.2-0.1.28             Pkg name/pattern
kernel-2.4.2-0.1.28             Pkg name/pattern
kernel-2.4.2-0.1.28             Pkg name/pattern
kernel-2.4.2-0.1.28             Pkg name/pattern

Comment 2 Preston Brown 2001-03-22 11:50:52 EST
I need more information here.
What package(s) did you select in the GUI update agent that was marked to be 
skipped?  What was the error that it finally aborted with?

Specifics, please.
Comment 3 Juha Saarinen 2001-03-22 15:33:34 EST
Hi Preston,

If you look at my additional comments above, you'll see the error message. I 
wanted to update a large number of packages -- too many to remember -- and did 
this through selecting them in the GUI.

I also ran 'up2date -v -u' and got the same error (the "<Fault -1: "\012While 
running 'errata.GetByPackage': 
caught\012apacheServer.UnknownXML : Invalid request received (class xmlrpcServer
(errata) is not defined).\012">
No advisory information available " messages appeared with both GUI and text-
mode operation).

Maybe the fact that it dies on the exclusion list is a red herring?

-- Juha
Comment 4 Preston Brown 2001-04-03 11:48:07 EDT
I don't think so.  The beta.rhns.redhat.com server may not understand the errata
calls, but that isn't causing a total crash . What is happening is that some
package in your upgrade set is requiring a newer version of the kernel than you
have installed, and the kernel is on the list of packages to exclude, so the
transaction as a whole is failing.  That's intentional behaviour, as it has the
least element of surprise...

Note You need to log in before you can comment on or make changes to this bug.